<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.13"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>Controle de Acesso: FrameTreatment Class Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">Controle de Acesso
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.13 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "search",false,'Search');
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#pub-methods">Public Member Functions</a> &#124;
<a href="class_frame_treatment-members.html">List of all members</a>  </div>
  <div class="headertitle">
<div class="title">FrameTreatment Class Reference</div>  </div>
</div><!--header-->
<div class="contents">
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr class="memitem:ae208d32b227b7bf3f9bb6f574a1e5856"><td class="memItemLeft" align="right" valign="top"><a id="ae208d32b227b7bf3f9bb6f574a1e5856"></a>
bool&#160;</td><td class="memItemRight" valign="bottom"><b>initCascade</b> ()</td></tr>
<tr class="separator:ae208d32b227b7bf3f9bb6f574a1e5856"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a186586ad145e5b80971cf91db934c3e2"><td class="memItemLeft" align="right" valign="top"><a id="a186586ad145e5b80971cf91db934c3e2"></a>
void&#160;</td><td class="memItemRight" valign="bottom"><b>setFrame</b> (Mat)</td></tr>
<tr class="separator:a186586ad145e5b80971cf91db934c3e2"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:af6986baccdcdf9fa50c77ada65b227ff"><td class="memItemLeft" align="right" valign="top"><a id="af6986baccdcdf9fa50c77ada65b227ff"></a>
void&#160;</td><td class="memItemRight" valign="bottom"><b>showFrame</b> ()</td></tr>
<tr class="separator:af6986baccdcdf9fa50c77ada65b227ff"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ac9dc6c52188919b8fb423187f5cd51c9"><td class="memItemLeft" align="right" valign="top"><a id="ac9dc6c52188919b8fb423187f5cd51c9"></a>
void&#160;</td><td class="memItemRight" valign="bottom"><b>detectFaces</b> ()</td></tr>
<tr class="separator:ac9dc6c52188919b8fb423187f5cd51c9"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ac96ca8af156ffefe2b216aaf90ecbad6"><td class="memItemLeft" align="right" valign="top"><a id="ac96ca8af156ffefe2b216aaf90ecbad6"></a>
void&#160;</td><td class="memItemRight" valign="bottom"><b>drawFaces</b> (int, int, int)</td></tr>
<tr class="separator:ac96ca8af156ffefe2b216aaf90ecbad6"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aab5b37f537e37843697cae7f40444402"><td class="memItemLeft" align="right" valign="top"><a id="aab5b37f537e37843697cae7f40444402"></a>
void&#160;</td><td class="memItemRight" valign="bottom"><b>saveFaces</b> (string)</td></tr>
<tr class="separator:aab5b37f537e37843697cae7f40444402"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a4a6607dce4649c03c7853a36b6bd5755"><td class="memItemLeft" align="right" valign="top"><a id="a4a6607dce4649c03c7853a36b6bd5755"></a>
int&#160;</td><td class="memItemRight" valign="bottom"><b>getFaces</b> ()</td></tr>
<tr class="separator:a4a6607dce4649c03c7853a36b6bd5755"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:acee06c45bf89889ecd640eecb71a529f"><td class="memItemLeft" align="right" valign="top"><a id="acee06c45bf89889ecd640eecb71a529f"></a>
void&#160;</td><td class="memItemRight" valign="bottom"><b>Recognize</b> ()</td></tr>
<tr class="separator:acee06c45bf89889ecd640eecb71a529f"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<hr/>The documentation for this class was generated from the following files:<ul>
<li><a class="el" href="wrapper_8hpp_source.html">wrapper.hpp</a></li>
<li>wrapper.cpp</li>
</ul>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.13
</small></address>
</body>
</html>
